Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
contact-attributes
Upsert Hub Config
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/contact-attributes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "definition_id": "<string>",
      "is_in_onboarding": true,
      "is_in_profile": true,
      "is_read_only": true,
      "is_required": true,
      "position": 123
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "created_at": "2023-11-07T05:31:56Z",
      "definition_id": "<string>",
      "hub_id": "<string>",
      "is_in_onboarding": true,
      "is_in_profile": true,
      "is_read_only": true,
      "is_required": true,
      "position": 123,
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "contact_attribute_hub_configs"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required

Body

application/vnd.api+json
data
HubConfigUpsertResource · object
required

Response

Successful Response

data
HubConfigResource · object
required